package org.apache.commons.digester;

import java.util.List;

public interface Rules {
  Digester getDigester();
  
  void setDigester(Digester paramDigester);
  
  String getNamespaceURI();
  
  void setNamespaceURI(String paramString);
  
  void add(String paramString, Rule paramRule);
  
  void clear();
  
  List match(String paramString);
  
  List match(String paramString1, String paramString2);
  
  List rules();
}
